prompt create or repalce objects...
set feedback off
set define off

begin
  for rec in (select table_name from user_tables where table_name in ('TR_FORJAVA_OBJECTS','TR_FORJAVA_PRCHEAD')) loop
    execute immediate 'drop table '||rec.table_name;
  end loop;
end;
/

prompt ...table TR_FORJAVA_OBJECTS
  
create table TR_FORJAVA_OBJECTS
(
  dummy     VARCHAR2(1),
  rn        NUMBER(17),
  pack_name VARCHAR2(30),
  proc_name VARCHAR2(30),
  proc_part VARCHAR2(30),
  cdata     CLOB,
  encryp    CLOB,
  decryp    CLOB
)
/

prompt ...table TR_FORJAVA_PRCHEAD

create table TR_FORJAVA_PRCHEAD
(
  dummy     VARCHAR2(1),
  rn        NUMBER(17),
  pack_name VARCHAR2(30),
  proc_name VARCHAR2(30),
  proc_id   NUMBER(17),
  chead     CLOB,
  cbody     CLOB,
  ccommand  CLOB
)
/

prompt ...package pkg_cntp_base64

create or replace package PKG_CNTP_BASE64 is

sTMP          varchar2(32000);
cTMP          clob;

IDENT         number(17);
DEBUG         clob;
RESULT_SPEC   clob;
RESULT_BODY   clob;
CR            varchar2(2) := chr(13)||chr(10);

type tBODY    is table of varchar2(250) index by binary_integer;
TEXT          tBODY;

type TPARAM    is record (nTYPE     number,          
                          sVALUE    varchar2(32000), 
                          nVALUE    number,          
                          dVALUE    date,            
                          cVALUE    clob,            
                          bVALUE    blob             
                          );
                            
type TPARAMS is table of TPARAM index by varchar2(50);

type TEXECUTE  is record (sAPPCODE  varchar2(30),
                          sNAME     varchar2(30),
                          cENCRYPT  clob,        
                          cCOMMAND  clob,        
                          nMODE     number(1),   
                          PARAMS    TPARAMS      
                          );

type TTASKSTACK is table of TEXECUTE index by binary_integer;

TASKSTACK       TTASKSTACK;
  
procedure DO (sOBJECT in varchar2);
procedure ENCODE_OBJECT (sOBJECT in varchar2);
procedure LOAD_OBJECT ( sOBJECT in varchar2 );
procedure PARSE_PACKAGE (sAPPCODE in varchar2, sOBJECT in varchar2);
procedure PARSE_PROCEDURE (sAPPCODE in varchar2, sOBJECT in varchar2);
procedure BUILD_PACKAGE (sAPPCODE in varchar, sOBJECT in varchar2);
procedure BUILD_PROCEDURE (
  sAPPCODE     in varchar,
  sPKG_NAM     in varchar, 
  sPRC_NAM     in varchar, 
  nPRC_ID      in number
);

procedure REMOVE_QUOTE (sDATA in out varchar2);
procedure RENAME_OBJECT (sOBJECT in varchar2, sNEWNAM varchar2 );
procedure RECOMPILE( cCOMMAND in clob );
function  text_to_clob(nFR in number, nTO in number ) return clob;
procedure clob_to_text( c in clob );
function get_object_type (sPACKAGE in varchar2, sOBJECT in varchar2 default null) return varchar2;
function tab ( c in clob ) return clob;
function env ( v1 in number, v2 in number ) return number;
function trims ( c in clob ) return clob;
function setquote ( c in clob , nSET in number) return clob;
function seekword ( c in clob, word in string, startpos in number default null, sequence in number default null) return number;
function replace_cr ( c in clob ) return clob;
procedure debug_insert( cCLOBDATA in clob) ;
function get_tr_forjava_objects(
  sPACK_NAME    in varchar2,
  sPROC_NAME    in varchar2,
  sPROC_PART    in varchar2,
  sMODE         in varchar2
  ) return clob;
function get_tr_forjava_prchead(
  sPACK_NAME    in varchar2,
  sPROC_NAME    in varchar2,
  nPROC_ID      in number,
  sMODE         in varchar2
  ) return clob;  

procedure insert_tr_forjava_objects( sPACK_NAME in varchar2, sPROC_NAME in varchar2, sPROC_PART in varchar2, cCLOBDATA in clob ) ;
procedure insert_tr_forjava_prchead( sPACK_NAME in varchar2, sPROC_NAME in varchar2, nPROC_ID   in number  , cCLOBDATA in clob  );
procedure TASK_PREPARE;
procedure TASK_EXEC;
procedure TASK_CREATE(sAPPCODE in varchar2, sNAME in varchar2, cENCRYPT in clob, cCOMMAND in clob);
procedure TASK_CLEAR_ALL;
procedure TASK_DESTROY;
procedure TASK_SET_MODE(nMODE in number);
procedure TASK_SET_sPARAM (sNAME in varchar2, sVALUE in varchar2);
procedure TASK_SET_nPARAM (sNAME in varchar2, nVALUE in number);
procedure TASK_SET_dPARAM (sNAME in varchar2, dVALUE in date);
procedure TASK_SET_cPARAM (sNAME in varchar2, cVALUE in clob);
procedure TASK_SET_bPARAM (sNAME in varchar2, bVALUE in blob);
function  TASK_GET_sPARAM (sNAME in varchar2) return varchar2;
function  TASK_GET_nPARAM (sNAME in varchar2) return number;
function  TASK_GET_dPARAM (sNAME in varchar2) return date;
function  TASK_GET_cPARAM (sNAME in varchar2) return clob;
function  TASK_GET_bPARAM (sNAME in varchar2) return blob;

function get_keyword return varchar2;

function  encryptc(sappcode in varchar2, cinp in clob) return clob;

function  decryptc(sappcode in varchar2, cinp in clob) return clob;

procedure runcrypt(sappcode in varchar2, cinp in clob, ccmd in clob);

procedure runnocrypt(cinp in clob, ccmd in clob);

procedure P_EXCEPTION
(
  nFLAG_SMART       in number           --    (>0 - , 0(null) -   , <0 -   )
                       default 0,
  sTEXT             in varchar2         --  
                       default null
);

function MIN2
(
  v1                in number,
  v2                in number
)
return number;

function CMP_VC2
(
  v1                in varchar2,
  v2                in varchar2
)
return number;

function MAX2
(
  v1                in number,
  v2                in number
)
return number;

function STRTOK
(
  source    in varchar2,
  delimeter in varchar2,
  item      in integer
)
return varchar2;

function CMP_NUM
(
  v1                in number,
  v2                in number
)
return number;



end;
/
show errors;

create or replace package body PKG_CNTP_BASE64 wrapped 
a000000
ab
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
b
6546 1ebf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/
show errors;

grant EXECUTE on PKG_CNTP_BASE64 to PUBLIC
/

set serveroutput on

declare
 s varchar2(200);
begin
  s := '*** KEYWORD: '||PKG_CNTP_BASE64.get_keyword||' ***';
  dbms_output.put_line(chr(10)||lpad('*',length(s),'*'));
  dbms_output.put_line(s);
  dbms_output.put_line(lpad('*',length(s),'*')||chr(10));
end;
/

set feedback on
set define on

prompt Done.

exit;
